From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/fwlogwatch/
Date: Wed, 24 Feb 2016 06:00:47 +0000 (UTC) [thread overview]
Message-ID: <1456291955.fb18f46168250ca341ab2ee95f1c3e0891edebd3.jer@gentoo> (raw)
commit: fb18f46168250ca341ab2ee95f1c3e0891edebd3
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 24 05:32:35 2016 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Feb 24 05:32:35 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb18f461
net-analyzer/fwlogwatch: Version bump.
Package-Manager: portage-2.2.27
net-analyzer/fwlogwatch/Manifest | 1 +
net-analyzer/fwlogwatch/fwlogwatch-1.5.ebuild | 87 +++++++++++++++++++++++++++
2 files changed, 88 insertions(+)
diff --git a/net-analyzer/fwlogwatch/Manifest b/net-analyzer/fwlogwatch/Manifest
index a1529b7..2aeebe4 100644
--- a/net-analyzer/fwlogwatch/Manifest
+++ b/net-analyzer/fwlogwatch/Manifest
@@ -1 +1,2 @@
DIST fwlogwatch-1.4.tar.bz2 92652 SHA256 0ca67b2f2a36e4f79ac202018d5440809d50a1cb7203e2a02818f2aade112e9a SHA512 0a67c0ae8b096fdf7a06e279a11b0bc71f2d514790c1669f60606b17a7f3f3ec97dedc2005438ce0ec82efcd66a822b62dbb36603f4b02e010f469fb885b87e6 WHIRLPOOL 7dc01a46be44733cab6f69525f704f4ed86802112bfff284480df4d9151174e6d0bb03a6cc7349a77b7c32b6d312dea582627c0e7b71cad4e36073fda46057f9
+DIST fwlogwatch-1.5.tar.bz2 94451 SHA256 0c8c9465b9d6c653b26492028bb040f60987804dfc53e480cb8cfde62cb72b1d SHA512 d4890596859929ddc6adfd7f9e735e0c414bad40eff6732120a522a8bd4fb8d1442c7d1026f0f3c6ac5c4d51b76a2bac486d04f0fbceae67395c585098afef85 WHIRLPOOL 6dd21c08158c2fd99c13ea46e8cbd9ebd7ec7e0612cf21f6cef07efcbe134aec900bae33ecd74f61fa1ddbc799bfd22d37f5c42927a72f02b8298c7851f2e2b0
diff --git a/net-analyzer/fwlogwatch/fwlogwatch-1.5.ebuild b/net-analyzer/fwlogwatch/fwlogwatch-1.5.ebuild
new file mode 100644
index 0000000..1479b99
--- /dev/null
+++ b/net-analyzer/fwlogwatch/fwlogwatch-1.5.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils flag-o-matic toolchain-funcs
+
+DESCRIPTION="A packet filter and firewall log analyzer"
+HOMEPAGE="http://fwlogwatch.inside-security.de/"
+SRC_URI="${HOMEPAGE}sw/${P}.tar.bz2"
+
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+LICENSE="GPL-1"
+SLOT="0"
+IUSE="nls zlib"
+
+RDEPEND="
+ zlib? ( sys-libs/zlib )
+"
+DEPEND="
+ ${RDEPEND}
+ sys-devel/flex
+ nls? ( sys-devel/gettext )
+"
+
+src_prepare() {
+ if use nls; then
+ strip-linguas -i po/
+ local lingua pofile
+ for pofile in po/*.po; do
+ lingua=${pofile/po\/}
+ lingua=${lingua/.po}
+ if ! has ${lingua} ${LINGUAS}; then
+ sed -i \
+ -e "/${lingua}.[mp]o/d" \
+ Makefile po/Makefile || die
+ fi
+ done
+ fi
+
+ sed -i \
+ -e '/^INSTALL_/s|$| -D|g' \
+ -e 's|make|$(MAKE)|g ' \
+ Makefile || die
+}
+
+src_configure() {
+ if ! use zlib; then
+ sed -i Makefile -e '/^LIBS/ s|-lz||g' || die
+ else
+ append-cflags -DHAVE_ZLIB
+ fi
+
+ use nls && append-cflags -DHAVE_GETTEXT
+}
+
+src_compile() {
+ emake \
+ CC=$(tc-getCC) \
+ CFLAGS="${CFLAGS}" \
+ LDFLAGS="${LDFLAGS}"
+ use nls && emake -C po
+}
+
+src_install() {
+ emake \
+ LOCALE_DIR="${D}/usr" INSTALL_DIR="${D}/usr" \
+ install
+ use nls && emake \
+ LOCALE_DIR="${D}/usr" INSTALL_DIR="${D}/usr" \
+ install-i18n
+
+ dosbin contrib/fwlw_notify
+ dosbin contrib/fwlw_respond
+
+ dodoc AUTHORS ChangeLog CREDITS README
+
+ insinto /usr/share/fwlogwatch/contrib
+
+ doins contrib/fwlogsummary.cgi
+ doins contrib/fwlogsummary_small.cgi
+ doins contrib/fwlogwatch.php
+
+ insinto /etc
+ doins fwlogwatch.config
+}
next reply other threads:[~2016-02-24 6:00 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-02-24 6:00 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-02-25 7:51 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/fwlogwatch/ Jeroen Roovers
2021-03-15 21:01 Sam James
2021-03-15 21:53 Sam James
2021-03-15 21:54 Sam James
2021-03-17 9:00 Sam James
2021-03-17 9:09 Sam James
2021-04-03 19:53 Sam James
2021-06-30 10:15 Ulrich Müller
2021-06-30 18:40 Sam James
2025-03-10 3:41 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1456291955.fb18f46168250ca341ab2ee95f1c3e0891edebd3.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox